import React, { Component } from "react";
export declare const ListboxContext: React.Context<{}>;
declare type Props = {
    children: React.ReactNode;
    className?: string;
    value: string | null;
    onChange: (value: string | null) => void;
};
declare type State = {
    typeahead: string;
    listboxButtonRef: HTMLElement | null;
    listboxListRef: HTMLElement | null;
    isOpen: boolean;
    activeItem: string | null;
    values: Array<string | null>;
    labelId: string | null;
    buttonId: string | null;
    optionIds: Array<[string, string]>;
    optionRefs: Array<[string, HTMLElement]>;
};
export declare class Listbox extends Component<Props, State> {
    constructor(props: Props);
    getActiveDescendant: () => string | null;
    registerOptionId: (value: string, optionId: string) => void;
    unregisterOptionId: (value: string) => void;
    type: (value: string) => void;
    clearTypeahead: () => void;
    registerOptionRef: (value: string, optionRef: HTMLElement) => void;
    unregisterOptionRef: (value: string) => void;
    toggle: () => void;
    open: () => void;
    close: () => void;
    select: (value: string) => void;
    focus: (value: string | null) => void;
    setListboxButtonRef: (ref: HTMLElement) => void;
    setListboxListRef: (ref: HTMLElement) => void;
    setButtonId: (id: string) => void;
    setLabelId: (id: string) => void;
    setValues: (values: string[]) => void;
    setActiveItem: (activeItem: string) => void;
    render(): React.ReactNode;
}
declare const _default: null;
export default _default;
